## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit  ac4dd9494fa9008754e49dff85bff1b5746c89b4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date    20220824

Name:           vim-pathogen
Version:        2.4
Release:        12.%{date}git%{shortcommit}.%autorelease
Summary:        Manage your runtimepath
BuildArch:      noarch

License:        Vim
URL:            https://github.com/tpope/vim-pathogen
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  libappstream-glib
BuildRequires:  vim-filesystem

Requires:       vim-enhanced

%description
Manage your 'runtimepath' with ease. In practical terms, pathogen.vim makes it
super easy to install plugins and runtime files in their own private
directories.

For new users, I recommend using Vim's built-in package management instead:

  :help packages


%prep
%autosetup -n %{name}-%{commit}


%install
mkdir -p        %{buildroot}%{vimfiles_root}
cp -r autoload  %{buildroot}%{vimfiles_root}
install -m 0644 -Dp %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%license LICENSE
%doc README.markdown CONTRIBUTING.markdown
%{vimfiles_root}/autoload/*
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-12
- build: Fix release tag

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-9
- chore(update): Latest git snapshot

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-7.20210104gite0a3efb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-6.20210104gite0a3efb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-5.20210104gite0a3efb
- chore(update): Latest git snapshot

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-4.20190625gitc6bc424
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3.20190625gitc6bc424
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2.20190625gitc6bc424
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-1.20190625gitc6bc424
- Update to latest git snapshot
- Add license file

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20181213gite9fb091
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-2.20181213gite9fb091
- Initial package

## END: Generated by rpmautospec
